# Class JType

java.lang.Object
org.apache.jute.compiler.JType

Direct Known Subclasses:
  `JBoolean, JBuffer, JByte, JDouble, JFloat, JInt, JLong, JMap, JRecord, JString, JVector`

public abstract class JType extends Object
Abstract Base class for all types supported by Hadoop Record I/O.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`mMethodSuffix`

## Method Summary

Modifier and Type
Method
Description
`String`
`genCsharpConstructorParam(String fname)`
`String`
`genCsharpDecl(String name)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mMethodSuffix

protected String mMethodSuffix

## Method Details

### genCsharpDecl

public String genCsharpDecl(String name)

### genCsharpConstructorParam

public String genCsharpConstructorParam(String fname)